#
# spec file for package libtabe (Version 0.2.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db db-devel diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           libtabe
BuildRequires:  db-devel xorg-x11-devel
License:        BSD
Group:          System/I18n/Chinese
Autoreqprov:    on
Version:        0.2.6
Release:        431.2
Summary:        A Library for Chinese Language Processing Used in Input Methods
Source:         ftp://xcin.linux.org.tw/pub/xcin/xcin/libtabe-0.2.6.tar.bz2
Patch0:         libtabe-noweak.diff
Patch1:         libtabe-db41.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://libtabe.sourceforge.net/

%description
libtabe is a library that provides useful Chinese functions and
routines that deal with many fundamental elements, such as
pronunciation(BoPoMoFo), character frequency, word identification, and
word frequency. libtabe also comes with a free word database consisting
of 140,000 words.

More functionality is expected to be put into the library in the
future.

A practical application of libtabe is the intelligent phonetic input
method interface, bims. bims accepts input in BoPoMoFo and generates
output as meaningful sentences.

The XCIN-2.5 bimsphone module is based directly on libtabe and bims. In
the future, more modules might also be based on it.



Authors:
--------
    TaBE Project, HSIAO Pai-Hsiang  <libtabe@SourceForge>

%debug_package
%package devel
Group:          System/I18n/Chinese
Summary:        Development Libraries and Header Files for libtabe Library
Requires:       libtabe = %{version}

%description devel
This package provides the development libraries and header files for
the libtabe library.



Authors:
--------
    TaBE Project, HSIAO Pai-Hsiang  <libtabe@SourceForge>

%prep
%setup -n libtabe 
%patch0 -p1
%patch1

%build
mv script/configure.in .
rm -Rf CVS doc/CVS
libtoolize --force
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
            --libdir=%{_libdir} \
            --with-db-inc=/usr/include/db4 \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
            --enable-shared \
            %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT;
make prefix=%{buildroot}/usr libdir=%{buildroot}/%{_libdir} install

%clean
rm -rf $RPM_BUILD_ROOT;

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-, root, root)
%doc COPYING INSTALL doc
%{_libdir}/lib*.so.*
%{_bindir}/*
%{_libdir}/tabe/

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.*a
%{_libdir}/lib*.so
/usr/include/*.h

%changelog -n libtabe
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 25 2004 - ro@suse.de
- fix build with db-4.3
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Fri May 16 2003 - ro@suse.de
- fix build with libdb-4.1
* Fri Dec 06 2002 - coolo@suse.de
- link libtabe against libdb so it doesn't have undefined references
* Tue Aug 27 2002 - mfabian@suse.de
- update to 0.2.6 to and build it against db4.
  This makes it build on 64 bit platforms. Thanks to
  Ruediger Oertel <ro@suse.de>.
* Fri Aug 09 2002 - mfabian@suse.de
- add Requires: libtabe = %%{version} to libtabe-devel package
  (Bug #17543).
* Wed Apr 10 2002 - mfabian@suse.de
- use %%{_libdir}
* Fri Jan 18 2002 - mfabian@suse.de
- link both xcin and libtabe against the version of db2 contained
  in glibc as berkdb2 is dropped from SuSE Linux. xcin and libtabe
  work well with this version of db2 as well, it looks like
  one only has to make sure that both are linked against the same
  version of db2.
  (use --with-dbinc=/usr/include/db2 and remove --with-dbinc
  completely)
* Sat Mar 10 2001 - mfabian@suse.de
- fix {?suse_update_config} to build on ia64
* Wed Mar 07 2001 - uli@suse.de
- added xf86 to neededforbuild
* Thu Feb 22 2001 - mfabian@suse.de
- bzip2 sources
* Wed Feb 21 2001 - phm@suse.de, mfabian@suse.de
- new package: libtabe version 0.1.9
